StartupEvents.registry('mob_effect', event => {
  event.create('heroes:shanti_virus_improved')
    .effectTick((entity, lvl) => {
      if (!entity.server) return
	   let username = entity.getGameProfile().getName();
	  entity.server.runCommandSilent("scoreboard objectives add Powers.Suppresed dummy");
	  entity.server.runCommandSilent("scoreboard players set " + username + " Powers.Suppresed " + lvl + 2 + "");
    }) 
    .color(Color.GOLD)
}) 